unit foo;

interface

type
  t = record
      case bar : (b, a, r) of
        b : ()
      end;

implementation

end.

program fjf239a;

uses foo;

var v:t;

begin
  v.bar := b;
  if succ (v.bar) = a then writeln ('OK') else writeln ('Failed')
end.
